The Get note method is used to get information about a note added to an entity in the platform.
GET {{base_url}}/api/v3/resellers/{{reseller_id}}/notes/{{note_id}}
Authentication
This endpoint requires a JWT access token. Specify the token in the Authorization header using the Bearer authentication scheme:
Authorization: Bearer <JWT_ACCESS_TOKEN>
In Postman, select Bearer Token on the Authorization tab and enter the JWT access token.
Arguments
|
Name |
Parameter Type |
Data type |
Required/Optional |
Description |
|---|---|---|---|---|
|
Content-Type |
header |
string |
Required |
Media type of the request. Specify the following: application/vnd.api+json |
|
Accept |
header |
string |
Required |
Supported media types of the answer. Specify the following: application/vnd.api+json |
|
base_url |
path |
string |
Required |
ActivePlatform URL |
|
reseller_id |
path |
integer |
Required |
ID of the current reseller or any of its downstream resellers (see Viewing and updating reseller general information) |
|
note_id |
path |
integer |
Required |
Note ID |
Response model
|
Name |
Data type |
Description |
||||
|---|---|---|---|---|---|---|
|
data |
object |
Response data |
||||
|
|
id |
string |
Note ID in the platform |
|||
|
|
type |
string |
Data type |
|||
|
|
attributes |
object |
Note information |
|||
|
|
|
created_at |
string |
Date and time of the note creation |
||
|
|
|
updated_at |
string |
Date and time when of the note last update |
||
|
|
|
content |
string |
The text of a note |
||
|
|
|
creator |
string |
Information about the creator of a note:
|
||
|
|
|
original_link |
string |
A link to a note |
||
|
|
|
original_id |
integer |
The ID of an entity in the platform with a note. For an Account entity, |
||
|
|
|
original_type |
string |
The type of an entity in the platform with a note:
|
||
|
|
|
attachment |
object |
Information about a file attached to a note. For a note without file, |
||
|
|
|
|
name |
string |
The file name |
|
|
|
|
|
url |
string |
The file link |
|
|
|
|
|
size |
string |
The file size in bytes |
|
Request example
GET /api/v3/resellers/1/notes/214
Host: test.activeplatform.com
Content-Type: application/vnd.api+json
Authorization: Bearer <JWT_ACCESS_TOKEN>
Accept: application/vnd.api+json
Response example
{
"data": {
"id": "5",
"type": "notes",
"attributes": {
"created_at": "2023-03-27T11:35:12.509+03:00",
"updated_at": "2023-03-27T11:35:12.509+03:00",
"content": "Migrated",
"creator": "Bill Smith",
"original_link": "/admin/accounts/29/notes/5",
"original_id": null,
"original_type": null,
"attachment": {
"name": "Logo",
"url": "https://storage.test.activeplatform.com/private/uploads/note/attachment/5/Logo?expires=1680009898&hash=DStusb6w",
"size": 3439
}
}
}
}